summaryrefslogtreecommitdiffstats
path: root/source/n/mutt
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/mutt')
-rwxr-xr-xsource/n/mutt/mutt.SlackBuild23
-rw-r--r--source/n/mutt/slack-desc10
2 files changed, 22 insertions, 11 deletions
diff --git a/source/n/mutt/mutt.SlackBuild b/source/n/mutt/mutt.SlackBuild
index dddc2cb83..7abde88cc 100755
--- a/source/n/mutt/mutt.SlackBuild
+++ b/source/n/mutt/mutt.SlackBuild
@@ -1,5 +1,5 @@
-#!/bin/sh
-# Copyright 2002-2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
+#!/bin/bash
+# Copyright 2002-2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -19,8 +19,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=mutt
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -33,8 +35,15 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
-CWD=`pwd`
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
@@ -54,7 +63,7 @@ rm -rf $PKG
mkdir $PKG
cd $TMP
rm -rf mutt-$VERSION
-tar xvf $CWD/mutt-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/mutt-$VERSION.tar.?z || exit 1
cd mutt-$VERSION || exit 1
chown -R root:root .
@@ -73,7 +82,9 @@ CFLAGS="$SLKCFLAGS" \
--enable-smtp \
--enable-gpgme \
--enable-hcache \
- --build=$ARCH-slackware-linux
+ --enable-sidebar \
+ --enable-compressed \
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/n/mutt/slack-desc b/source/n/mutt/slack-desc
index eda6d811d..96a5880cb 100644
--- a/source/n/mutt/slack-desc
+++ b/source/n/mutt/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
mutt: Mutt (the Mutt mail user agent)
mutt:
-mutt: Mutt is a small but very powerful text-based MIME mail client. Mutt
+mutt: Mutt is a small but very powerful text-based MIME mail client. Mutt
mutt: is highly configurable, and is well suited to the mail power user with
mutt: advanced features like key bindings, keyboard macros, mail threading,
mutt: regular expression searches and a powerful pattern matching language
mutt: for selecting groups of messages.
mutt:
-mutt:
+mutt: Project homepage: http://www.mutt.org
mutt:
mutt: